Page MenuHomePhabricator

efl/gesture: add touch_count property for gesture event info
ClosedPublic

Authored by zmike on Jan 17 2020, 7:43 AM.

Details

Summary

this allows us to provide the number of touch points active in any gesture
so we can detect e.g., double-tap with two fingers

Depends on D11090

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 17 2020, 7:43 AM
zmike requested review of this revision.Jan 17 2020, 7:43 AM
CHAN requested changes to this revision.Jan 20 2020, 1:10 AM

_efl_canvas_gesture_touch_count_set()

does it need to be public?

This revision now requires changes to proceed.Jan 20 2020, 1:10 AM

API looks correct, except for @CHAN's comment.

zmike added a comment.Jan 21 2020, 6:54 AM

Hm that's fair.

zmike updated this revision to Diff 28347.Jan 21 2020, 11:57 AM
zmike edited the summary of this revision. (Show Details)
zmike added a reviewer: bu5hm4n.

rebase/update

CHAN accepted this revision.Jan 21 2020, 10:19 PM

@zmike Thank you. looks good to me.

This revision is now accepted and ready to land.Jan 21 2020, 10:19 PM
zmike updated this revision to Diff 28392.Jan 22 2020, 6:37 AM

remove off-canvas blocking

zmike updated this revision to Diff 28443.Jan 23 2020, 12:25 PM

rework/rebase

zmike updated this revision to Diff 28664.Jan 29 2020, 11:20 AM

rebase/rework

Closed by commit rEFL38641ecd9be4: efl/gesture: add touch_count property for gesture event info (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:13 AM
This revision was automatically updated to reflect the committed changes.